Package org.duckdb

## Class DuckDBTimestampTZ

- java.lang.Object
- - org.duckdb.DuckDBTimestamp
  - - org.duckdb.DuckDBTimestampTZ

    public class DuckDBTimestampTZ
    extends DuckDBTimestamp

### Field Summary

### Fields inherited from class org.duckdb.DuckDBTimestamp

`timeMicros`

### Constructor Summary

Constructors
`DuckDBTimestampTZ​(long timeMicros)`
`DuckDBTimestampTZ​(java.time.OffsetDateTime offsetDateTime)`

### Method Summary

### Methods inherited from class org.duckdb.DuckDBTimestamp

`getMicroseconds, getMicrosEpoch, toLocalDateTime, toLocalDateTime, toOffsetDateTime, toOffsetDateTime, toSqlTimestamp, toSqlTimestamp, toSqlTimestampNanos, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DuckDBTimestampTZ

    public DuckDBTimestampTZ​(long timeMicros)

#### DuckDBTimestampTZ

    public DuckDBTimestampTZ​(java.time.OffsetDateTime offsetDateTime)